#
# spec file for package rubygem-rails-i18n
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rails-i18n
Version:        4.0.5
Release:        2.1
%define mod_name rails-i18n
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/svenfuchs/rails-i18n
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Common locale data and translations for Rails i18n
License:        MIT
Group:          Development/Languages/Ruby

%description
A set of common locale data and translations to internationalize and/or
localize your Rails applications.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Mon Sep  7 2015 coolo@suse.com
- updated to version 4.0.5
  see installed CHANGELOG.md
  [#]# 4.0.5 (2015-09-06)
  - Update Portuguese (pt)
  - Update Korean (ko)
  - Update Dutch (nl)
  - Update German (de, de-AT, de-CH)
  - Update Spanish (es, es-AR, es-CL, es-CO, es-CR, es-PE, es-US, es-VE)
  - Update French (fr-CA, fr-CH, fr)
  - Add Luxembourgish (lb)
  - Add Marathi (mr-IN)
  - Update Swedish (sv)
  - Update Arabic (ar)
  - Update Finnish (fi)
  - Add Uyghur (ug)
  - Update Japanese (ja)
  - Update Russian (ru)
  - Add Greek transliteration rules (el)
  - Update Hebrew (he)
  - Update Italian (it)
  - Update Greek (el)
* Fri Feb 27 2015 coolo@suse.com
- updated to version 4.0.4
  - Complete Brazilian Portuguese translation (pt-BR)
  - Fix east slavic pluralization and transliteration rules
  - Update Polish (pl)
  - Change confirmation error message for es-* locales
  - Update Swedish (sv)
  - Update French (fr)
  - Update Dutch (nl)
  - Update Swiss German (de-CH)
  - Update German (de, de-AT)
  - Update Turkish (tr)
  - Update Lithuanian (lt)
  - Update Urdu (ur)
  - Update Chinese (zh-CN, zh-HK, zh-TW, zh-YUE)
  - Update Khmer (km)
  - Update Lithuanian (lt)
  - Update Italian (it)
  - Add Belarusian (be)
  - Add Tatar (tt)
  - Update Croatian (hr)
* Tue Feb 10 2015 coolo@suse.com
- updated to version 4.0.3
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sun Apr  6 2014 coolo@suse.com
- updated to version 4.0.2
  - Complete French translation (fr)
  - Make East Slavic pluralization faster
  - Update Upper Sorbian translation (dsb)
  - Add new locale Spanish for Ecuador (es-EC)
  - Update German translation for Switzerland (de-CH)
  - Update Hebrew translation (he)
  - Change currency for Latvian (lv)
  - Use two letter week day abbreviations for Dutch (nl)
  - Update Arabic translation (ar)
  - Update Hungarian translation (hu)
  - Change currency for Ireland (en-IE)
  - Update Ukrainian translation (uk)
  - Add Papiamento/Curaçao translation (pap-CW)
  - Add Cantonese translation (zh-YUE)
  - Update Portugese translation for Brazil (pt-BR)
  - Update Tagalog translation (tl)
  - Update English translation for India (en-IN)
  - Update Lithuanian translation (lt)
  - Update date formats for Finnish (fi)
* Fri Dec 20 2013 coolo@suse.com
- updated to version 4.0.1
  - Fix typos, formats and delimiters for Swiss-German (iso-639-2/gsw-CH)
  - Add missing keys to Dutch (nl)
  - Fix translations for Lithuanian (lt)
  - Add Spanish/Panama (es-PA)
  - Add Urdu (ur)
  - Remove whitespace between attribute and message in Chinese (zh-CN)
  - Support Rails 4.1.0.beta1
* Thu Oct 10 2013 coolo@suse.com
- updated to version 4.0.0
  - Fix values of 'restrict_dependent_destroy' key for many languages
  - Fix currency separator and delimiters for es-AR, fi, ro and sv
  - Fix 'errors.messages.too_(long|short)' for German (de)
  - Add transliteration rules for German (de)
  - Add missing keys to Chinese/Hong Kong (zh-HK)
  - Add English/Ireland (en-IE)
  - Add missing keys to Icelandic (is)
  - Add missing keys to Danish (da)
  - Fix a grammar error for Bulgarian (bg)
  - Order keys of French (fr) locale alphabetically
  - Singularize Millionen, Billionen for German/Switzerland (de-CH)
  - Fix date format for Italian (it)
  - Add transliteration rules for French (fr)
  - Add Spanish/Costa Rica (es-CR)
  - Remove trailing spaces for many languages
  - Fix abbr_month_names and month_names for Catalan (ca)
  - Reintroduce English/US (en-US)
  - Add transliteration rules for Romanian (ro)
  - Fix abbr_day_names and abbr_month_names for French (fr)
  - Fix 'storage_units.units.byte' key for Chinese/Taiwan (zh-TW)
  - Use 12-hour clock for :en-US and :en-CA
  - Fix 'date.formats.default' key in en-US locale
  - Fix some translations for Chinese/Hong Kong (zh-HK)
  - Fix translations for less_than_x_{minutes,seconds} for Japanese (ja)
  - Fix 'errors.messages.confirmation' key for Russian (ru)
  - Fix 'datetime.distance_in_words' keys for Hungarian (hu)
  - Fix the currency unit for Polish (pl)
  - Fix the currency unit for French/Switzerland (fr-CH)
* Fri Jul 12 2013 coolo@suse.com
- updated to version 0.7.4
  - Add Odiya language (or)
  - Revert several translations for Spanish/Colombia (es-CO)
  - Add Swiss-German (iso-639-2/gsw-CH)
  - Add Chinese/Hong Kong (zh-HK)
  - Fix some translations for Mongolian (mn)
  - Fix some translations for Hebrew (he)
  - Fix date and time formats for English/Austraria (en-AU)
  - Add English/New Zealand (en-NZ)
  - Fix some translations for Finnish (fi)
  - Fix the case in x_seconds for Russian (ru)
  - Add :many pluralization value for Polish (pl)
  - Change the value of strip_insignificant_zeros to false for Norwegian (nb)
* Tue Mar 19 2013 coolo@suse.com
- updated to version 0.7.3
  - Fix number delimiter and separator for Italian (it)
  - Fix currency delimiter and separator for Romanian (ro)
  - Fix time formats for Portuguese/Brazil (pt-BR)
  - Fix several translations for Estonian (et)
  - Fix several translations for Spanish/Colombia (es-CO)
  - Fix the translation of half_a_minute for Tagalog (tl)
  - Fix separators for Russian (ru)
  - Add Afrikaans locale (af)
  - Fix some spelling mistakes for Catalan (ca)
  - Use secure Rubygems URL
  - Change capitalization rules for Italian (it)
  - Fix abbreviations, currency format, etc. for Greek (el)
  - Fix the translation of submit for Portuguese (pt)
* Sat Dec 29 2012 coolo@suse.com
- updated to version 0.7.2
  - Remove spurious `mis` from Welsh month names
  - Add OneOther default pluralization rule and create corresponding locale pluralization files
  - Add pluralization files for locales with region
  - Update Persian (fa) translation
* Mon Nov 26 2012 coolo@suse.com
- updated to version 0.7.1
  - Update Peruvian Spanish (es-PE) translation
  - Fix pluralization rules for OneTwoOther
  - Fix pluralization rules for Hungarian (hu)
  - Update Japanese (ja) translation
  - Fix and complete translations of Macedonian (mk), Cyrillic Serbian (sr) and Serbo-Croatian (scr)
* Sun Oct 28 2012 coolo@suse.com
- updated to version 0.7.0
  - Remove Swiss Gemarn (gsw-CH) as a duplicate of de-CH
  - Remove en-US
  - Remove region code from bn-IN, gl-ES, pt-PT and sv-SE
  - Move iso-639-2 locales into their own directory
  - Add pluralization rule for Upper Sorbian
  - Fix grammar mistakes on Bulgarian (bg) translation
  - Add Latin American Spanish (es-419) translation
* Fri Sep  7 2012 coolo@suse.com
- updated to version 0.6.6
  - added Uzbek (uz) translation
  - added Swiss Italian (it-CH) translation
  - fixed Swiss German (de-CH) translation
  - added Polish (pl) transliteration
  - fixed Greek (el) translation
  - added Nepali (ne) translation
  - fixed Argentina Spanish (es-AR) translation
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.6.5
  * tons of translations, see CHANGELOG.md
* Fri Jan 20 2012 lslezak@suse.cz
- initial version
- 0.3.0
